Overview | Package | Class | Tree | Deprecated | Index | Help
| ContactCenters V. 0.9.9.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## umontreal.iro.lecuyer.contactcenters.msk.params
Class InboundTypeParams

    java.lang.Object
      umontreal.iro.lecuyer.xmlbind.params.Named
          umontreal.iro.lecuyer.contactcenters.msk.params.CallTypeParams
              umontreal.iro.lecuyer.contactcenters.msk.params.InboundTypeParams

    public class InboundTypeParams

extends CallTypeParams

Defines the parameters for an inbound call type, for blend/multi-skill call center.

Field Summary
`protected ArrivalProcessParams` | `arrivalProcess`

Fields inherited from class umontreal.iro.lecuyer.contactcenters.msk.params.CallTypeParams
`checkAgentsForTransfer, conferenceTimes, conferenceTimesMult, expectedWaitingTimesMult, expectedWaitingTimeThresh, patienceTime, patienceTimesMultCallBack, patienceTimesMultNoVirtualQueue, preServiceTimesNoConf, preServiceTimesNoConfMult, probAbandon, probTransfer, probTransferWait, probVirtualQueue, probVirtualQueueCallBack, serviceTimes, serviceTimesMult, serviceTimesMultCallBack, serviceTimesMultNoVirtualQueue, serviceTimesMultTransfer, transferTargets, transferTimes, transferTimesMult, virtualQueueTargetType, waitingTimeDefaultVQ, weight, weightPeriod, windowSizeVQ`

Fields inherited from class umontreal.iro.lecuyer.xmlbind.params.Named
`name, properties`

Constructor Summary
`InboundTypeParams()`

Method Summary
`ArrivalProcessParams` | `getArrivalProcess()` Gets the value of the arrivalProcess property.
`boolean` | `isSetArrivalProcess()`
`void` | `setArrivalProcess(ArrivalProcessParams value)` Sets the value of the arrivalProcess property.

Methods inherited from class umontreal.iro.lecuyer.contactcenters.msk.params.CallTypeParams
`getConferenceTimes, getConferenceTimesMult, getExpectedWaitingTimesMult, getExpectedWaitingTimesMult, getExpectedWaitingTimesMultLength, getExpectedWaitingTimeThresh, getExpectedWaitingTimeThresh, getExpectedWaitingTimeThreshLength, getPatienceTime, getPatienceTimesMultCallBack, getPatienceTimesMultCallBack, getPatienceTimesMultCallBackLength, getPatienceTimesMultNoVirtualQueue, getPatienceTimesMultNoVirtualQueue, getPatienceTimesMultNoVirtualQueueLength, getPreServiceTimesNoConf, getPreServiceTimesNoConfMult, getProbAbandon, getProbAbandon, getProbAbandonLength, getProbTransfer, getProbTransferWait, getProbVirtualQueue, getProbVirtualQueue, getProbVirtualQueueCallBack, getProbVirtualQueueCallBack, getProbVirtualQueueCallBackLength, getProbVirtualQueueLength, getServiceTimes, getServiceTimesMult, getServiceTimesMultCallBack, getServiceTimesMultNoVirtualQueue, getServiceTimesMultTransfer, getTransferTargets, getTransferTimes, getTransferTimesMult, getVirtualQueueTargetType, getWaitingTimeDefaultVQ, getWeight, getWeightPeriod, getWeightPeriod, getWeightPeriodLength, getWindowSizeVQ, isCheckAgentsForTransfer, isSetCheckAgentsForTransfer, isSetConferenceTimes, isSetConferenceTimesMult, isSetExpectedWaitingTimesMult, isSetExpectedWaitingTimeThresh, isSetPatienceTime, isSetPatienceTimesMultCallBack, isSetPatienceTimesMultNoVirtualQueue, isSetPreServiceTimesNoConf, isSetPreServiceTimesNoConfMult, isSetProbAbandon, isSetProbTransfer, isSetProbTransferWait, isSetProbVirtualQueue, isSetProbVirtualQueueCallBack, isSetServiceTimes, isSetServiceTimesMult, isSetServiceTimesMultCallBack, isSetServiceTimesMultNoVirtualQueue, isSetServiceTimesMultTransfer, isSetTransferTargets, isSetTransferTimes, isSetTransferTimesMult, isSetVirtualQueueTargetType, isSetWaitingTimeDefaultVQ, isSetWeight, isSetWeightPeriod, isSetWindowSizeVQ, setCheckAgentsForTransfer, setConferenceTimesMult, setExpectedWaitingTimesMult, setExpectedWaitingTimesMult, setExpectedWaitingTimeThresh, setExpectedWaitingTimeThresh, setPatienceTime, setPatienceTimesMultCallBack, setPatienceTimesMultCallBack, setPatienceTimesMultNoVirtualQueue, setPatienceTimesMultNoVirtualQueue, setPreServiceTimesNoConfMult, setProbAbandon, setProbAbandon, setProbTransfer, setProbTransferWait, setProbVirtualQueue, setProbVirtualQueue, setProbVirtualQueueCallBack, setProbVirtualQueueCallBack, setServiceTimesMult, setServiceTimesMultCallBack, setServiceTimesMultNoVirtualQueue, setServiceTimesMultTransfer, setTransferTimesMult, setVirtualQueueTargetType, setWaitingTimeDefaultVQ, setWeight, setWeightPeriod, setWeightPeriod, setWindowSizeVQ, unsetCheckAgentsForTransfer, unsetConferenceTimes, unsetConferenceTimesMult, unsetExpectedWaitingTimesMult, unsetExpectedWaitingTimeThresh, unsetPatienceTimesMultCallBack, unsetPatienceTimesMultNoVirtualQueue, unsetPreServiceTimesNoConf, unsetPreServiceTimesNoConfMult, unsetProbAbandon, unsetProbVirtualQueue, unsetProbVirtualQueueCallBack, unsetServiceTimes, unsetServiceTimesMult, unsetTransferTargets, unsetTransferTimes, unsetTransferTimesMult, unsetVirtualQueueTargetType, unsetWaitingTimeDefaultVQ, unsetWeight, unsetWeightPeriod, unsetWindowSizeVQ`

Methods inherited from class umontreal.iro.lecuyer.xmlbind.params.Named
`getName, getProperties, isSetName, isSetProperties, setName, setProperties`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### arrivalProcess

    protected ArrivalProcessParams arrivalProcess

Constructor Detail

### InboundTypeParams

    public InboundTypeParams()

Method Detail

### getArrivalProcess

    public ArrivalProcessParams getArrivalProcess()

  Gets the value of the arrivalProcess property.

  Returns:
    possible object is `ArrivalProcessParams`

### setArrivalProcess

    public void setArrivalProcess(ArrivalProcessParams value)

  Sets the value of the arrivalProcess property.

  Parameters:
    `value` - allowed object is `ArrivalProcessParams`

### isSetArrivalProcess

    public boolean isSetArrivalProcess()

Overview | Package | Class | Tree | Deprecated | Index | Help
| ContactCenters V. 0.9.9.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

To submit a bug or ask questions, send an e-mail to Richard Simard.